package fs

import (
	"agent/client"
	fcmds "agent/modules/fs/cmds"
	"context"
	"sync"
)

type fsModule struct{}

func (m *fsModule) Init(ctx context.Context) (err error) {
	return nil
}

func (m *fsModule) Name() string {
	return "Fs"
}

func (m *fsModule) Commands() []client.ICommand {
	return fcmds.InitItems
}

func (m *fsModule) Run(ctx context.Context, wg *sync.WaitGroup) {
	defer func() {
		wg.Done()
	}()
}

func (m *fsModule) OnLogin(ctx context.Context, config map[string]any) (err error) {
	return nil
}
